Bug 632190 - Review Request: erlang-amf - Erlang Action Message Format Library
Summary: Review Request: erlang-amf - Erlang Action Message Format Library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-09 11:17 UTC by Peter Lemenkov
Modified: 2010-10-13 05:55 UTC (History)
3 users (show)

Fixed In Version: erlang-amf-0-0.2.20100908git27329144.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-08 12:41:51 UTC
pbrobinson: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Lemenkov 2010-09-09 11:17:57 UTC
Spec URL: http://peter.fedorapeople.org/erlang-amf.spec
SRPM URL: http://peter.fedorapeople.org/erlang-amf-0-0.1.20100908git27329144.fc12.src.rpm
Description: Erlang Action Message Format Library

This library is one of the requirements for erlyvideo.

Koji scratchbuilds:

F-13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2457251
EL-5: http://koji.fedoraproject.org/koji/taskinfo?taskID=2457254

rpmlint:

Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-amf-0-0.1.20100908git27329144.fc12.ppc.rpm 
erlang-amf.ppc: E: explicit-lib-dependency erlang-stdlib
erlang-amf.ppc: E: no-binary
erlang-amf.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 2 errors, 1 warnings.
Sulaco ~/rpmbuild/SPECS: 

All the above messages should be ignored:

*  explicit-lib-dependency is just a bogus message due to explicit dependency
on erlang-stdlib (note 'lib' in its name)
* no-binary - this package install in arch-specific path (required by main
Erlang/OTP framework), but in fact it's noarch
* only-non-binary-in-usr-lib - likewise

Comment 2 Peter Robinson 2010-09-27 10:05:23 UTC
+ rpmlint output

rpmlint erlang-amf-0-0.2.20100908git27329144.fc14.x86_64.rpm
erlang-amf.x86_64: E: explicit-lib-dependency erlang-stdlib
erlang-amf.x86_64: E: no-binary
erlang-amf.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 2 errors, 1 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ latest version packaged

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  168ce4e25fac6c77e8a5dde262a7c6df  mujaheed-erlang-amf-2732914.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ Package perserves timestamps on install
+ Permissions on files must be set properly 
+ %defattr line
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package runtime 
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream to include it
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a non -devel packages should require fully versioned base
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
n/a Package should have man files


Looks fine. APPROVED!

Also note there's not need for BuilRoot: anymore (unless you need to support older systems).

Comment 3 Peter Lemenkov 2010-09-27 10:09:54 UTC
Thanks!

New Package SCM Request
=======================
Package Name: erlang-amf
Short Description: Erlang Action Message Format Library
Owners: peter
Branches: f12 f13 f14 el6 el5
InitialCC:

Comment 4 Kevin Fenzi 2010-09-27 23:14:23 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2010-09-28 04:47:49 UTC
erlang-amf-0-0.2.20100908git27329144.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/erlang-amf-0-0.2.20100908git27329144.fc12

Comment 6 Fedora Update System 2010-09-28 04:47:56 UTC
erlang-amf-0-0.2.20100908git27329144.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/erlang-amf-0-0.2.20100908git27329144.el5

Comment 7 Fedora Update System 2010-09-28 04:48:02 UTC
erlang-amf-0-0.2.20100908git27329144.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/erlang-amf-0-0.2.20100908git27329144.fc13

Comment 8 Fedora Update System 2010-09-28 04:48:08 UTC
erlang-amf-0-0.2.20100908git27329144.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-amf-0-0.2.20100908git27329144.fc14

Comment 9 Fedora Update System 2010-09-28 17:31:07 UTC
erlang-amf-0-0.2.20100908git27329144.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-amf'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/erlang-amf-0-0.2.20100908git27329144.fc14

Comment 10 Fedora Update System 2010-10-08 12:41:46 UTC
erlang-amf-0-0.2.20100908git27329144.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-10-08 20:44:05 UTC
erlang-amf-0-0.2.20100908git27329144.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-10-08 20:50:43 UTC
erlang-amf-0-0.2.20100908git27329144.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-10-13 05:55:39 UTC
erlang-amf-0-0.2.20100908git27329144.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.